#!/usr/bin/env python3
# usage: uv run hello-plotly.py
# 
# requirements: plotly

import plotly.express as px
fig = px.scatter_map(
    px.data.carshare(),
    lat="centroid_lat", lon="centroid_lon",
    size="car_hours",
    color="peak_hour",
    zoom=11,
    title="Montreal Car-Share Pickup Locations")
fig.show()
